# Class JDIPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.jdi.JDIPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class JDIPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
A `JDIPermission` object contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.5
See Also:
  - `Bootstrap`
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JDIPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The `JDIPermission` class represents access rights to the `VirtualMachineManager`
  `JDIPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new JDIPermission object.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JDIPermission

    public JDIPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    The `JDIPermission` class represents access rights to the `VirtualMachineManager`
    Parameters:
      `name` - Permission name. Must be "virtualMachineManager".
    Throws:
      `IllegalArgumentException` - if the name argument is invalid.

  - ### JDIPermission

    public JDIPermission(String name, String actions) throws IllegalArgumentException
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new JDIPermission object.
    Parameters:
      `name` - Permission name. Must be "virtualMachineManager".
      `actions` - Must be either null or the empty string.
    Throws:
      `IllegalArgumentException` - if arguments are invalid.